pro boulder_map
ax=-70 & az=-80 & ay=0
!x.margin=[0,0] & !y.margin=[0,0] & !z.margin=[0,0]
xwin=900 & ywin=700
elev_dat=bytarr(477,512) & landsat=elev_dat
openr,1,'boulder_elev.dat'
readu,1,elev_dat & close,1
imgx=120 & imgy= 125
selev_dat=congrid(float(elev_dat),imgx,imgy,/interp)
window,1,xsize=imgx,ysize=imgy,xpos=0,ypos=200
tvscl,selev_dat 
openr,2,'boulder_gray.img'
readu,2,landsat & close,2
window,2,xsize=imgx,ysize=imgy,xpos=0,ypos=400
shades=bytscl(float(landsat),max=127)
slandsat=bytscl(congrid(float(landsat),imgx,imgy,/interp))
save=slandsat
tv,slandsat
window,0,xsize=xwin,ysize=ywin,xpos=150,ypos=150
loadct,0
tv,slandsat,0,575
tvscl,selev_dat,780,575 
poly_surf,selev_dat,ve,pe,pgnum
print,"Finnished caluculating vertices & polygons for elevation"
a=intarr(477,512) & a(*,*)=0.0
center_view,xr=[0,476],yr=[0,511],zr=[0,max(ve(2,*))],$
            winx=xwin,winy=ywin,zoom=[.7,.7,.5],ax=ax,ay=ay,az=az
shade_surf,a,shades=shades,/save,xstyle=5,ystyle=5,zstyle=5,/data
axis,color=255,xaxis=1,/t3d,xstyle=1
axis,color=255,yaxis=1,/t3d,ystyle=1
axis,color=255,zaxis=1,/t3d      
axis,color=255,zaxis=2,/t3d      
axis,color=255,zaxis=3,/t3d      
axis,color=255,zaxis=4,/t3d      
print,'Get ready to Poly_plot'
center_view,xr=[0,imgx-1],yr=[0,imgy-1],zr=[0,max(ve(2,*))],$
            winx=xwin,winy=ywin,ax=ax,ay=ay,az=az,zoom=[1.41,1.41,.15]
ve(2,*)=ve(2,*)+max(ve(2,*))
vv=poly_norm(ve)
vv=poly_trans(vv,!p.t)
vv=poly_dev(vv,xwin,ywin)
slandsat=poly_c_conv(pe,slandsat(*))
poly_plot,vv,pe,pgnum,xwin,ywin,slandsat,-1,-1
tv,save,0,575
tvscl,selev_dat,780,575
s=tvrd(0,0,xwin,ywin)
set_plot,'ps'
device,/inches,/landscape,filename='Boulder_bw.ps',scale_factor=1.0$
;      ,bits_per_pixel=8,/color
      ,bits_per_pixel=4
tvscl,s
device,/close
set_plot,'sun'
end
