PRO Grid_Demo3

points = Intarr(4, 10)

points(*, 0) = [1,1,2, 86]
points(*, 1) = [1,1,3, 44]
points(*, 2) = [9,9,5, 37]
points(*, 3) = [5,4,7, 99]
points(*, 4) = [4,0,6,  9]
points(*, 5) = [0,9,9, 32]
points(*, 6) = [3,5,5,  2]
points(*, 7) = [6,6,5, 55]
points(*, 8) = [0,0,5, 66]
points(*, 9) = [9,0,0, 44]

ival = Grid_4d(points, 32, 32, 32, Order=4.0)
ival = Bytscl(ival)

block = Bytarr(30, 30, 30)
block(*, *, *) = 255
block = Vol_Pad(block, 1)
block(0:16, 0:16, 16:31) = 0

Window, 0, Colors=128
Loadct, 3
Center_View, xr=[0.0, 31.0], yr=[0.0, 31.0], zr=[0.0, 31.0], $
             ax=(-60.0), az=45.0, zoom=0.6

Set_Shading, Light=[-1.0, 1.0, 0.2]

Shade_Volume, block, 1, vertex_list, polygon_list, Shades=ival, /Low
img1 = Polyshade(vertex_list, polygon_list, /T3d)
img2 = Polyshade(vertex_list, polygon_list, Shades=ival, /T3d)
Tvscl, (Fix(img1) + Fix(img2))

empty
s=tvrd(0,0,640,512)
set_plot,'ps'
device,/landscape,filename='Grid_4d.ps'$
      ,bits_per_pixel=8,/color
tv,s
device,/close
set_plot,'sun'
END
