PRO Vol_Demo1

volx = 17
voly = 17
volz = 59

winx = 500
winy = 700

flow_axial = Fltarr(17, 17, 59)
Openr, 1, 'flow_axial.dat'
Readf, 1, flow_axial
Close, 1

flow_radial = Fltarr(17, 17, 59)
Openr, 1, 'flow_radial.dat'
Readf, 1, flow_radial
Close, 1

flow_tangent = Fltarr(17, 17, 59)
Openr, 1, 'flow_tangent.dat'
Readf, 1, flow_tangent
Close, 1

flow_pressure = Fltarr(17, 17, 59)
Openr, 1, 'flow_pressure.dat'
Readf, 1, flow_pressure
Close, 1

points = Conv_To_Rect(flow_tangent(*), flow_radial(*), flow_axial(*), /Cylin, /Degrees)
flow_x = Reform(points(0, *), 17, 17, 59)
flow_y = Reform(points(1, *), 17, 17, 59)
flow_z = Reform(points(2, *), 17, 17, 59)

T3d, /Reset
T3d, Translate=[-0.5, -0.5, -0.5]
T3d, Rotate=[0.0, 0.0, -30.0]
T3d, Rotate=[-60.0, 0.0, 0.0]
T3d, Translate=[0.5, 0.5, 0.5]

Window, 0, Xsize=winx, Ysize=winy, Xpos=256, Ypos=128, Colors=128
Loadct, 4
Vector_Field3, flow_x, flow_y, flow_z, 5000, $
               max_length=2.5, vec_color=flow_pressure, min_color=32, max_color=127, $
               axis_color=100, mark_symbol=3, mark_color=90, mark_size=0.0, $
               thick=2

END
