PRO Vol_Demo2

volx = 115
voly =  75
volz = 105

winx = 512
winy = 512

head = Bytarr(volx, voly, volz)
Openr, 1, 'man_head.dat'
Readu, 1, head
Close, 1

band = 5
head = Vol_Pad(head, band)
head = Smooth(head, band)

Center_View, xr=[0, 124], yr=[0, 84], zr=[0, 114], az=60.0, ax=(-60.0), $
             winx=512, winy=512, zoom=0.9

Window, 0, Xsize=winx, Ysize=winx, Xpos=16, Ypos=384, Colors=128
Loadct, 9
Vol_Marker, head, 6000, axis_color=100, mark_symbol=2, mark_size=2, $
            mark_thick=2

Window, 1, Xsize=winx, Ysize=winx, Xpos=496, Ypos=324, Colors=128
Set_Shading, Light=[-1.0, 1.0, 0.5], /Gouraud, /Reject
Shade_Volume, head, 18, vertex_list, polygon_list, /Low
Tvscl, Polyshade(vertex_list, polygon_list, Xsize=winx, Ysize=winy, /Data, /T3d)

Window, 2, Xsize=winx, Ysize=winx, Xpos=256, Ypos=48, Colors=128
head = Vol_Trans(head, 128, !P.T)
Tvscl, Vol_Rend(head, winx, winy, depth_q=0.4)

END
