PRO Vol_Demo3

volx = 17
voly = 17
volz = 59

winx = 512
winy = 512

flow_axial = Fltarr(volx, voly, volz)
Openr, 1, 'flow_axial.dat'
Readf, 1, flow_axial
Close, 1
flow_axial = Vol_Pad(flow_axial, 1)

Center_View, xr=[0.0, 18.0], yr=[0.0, 18.0], zr=[0.0, 60.0], $
             az=210.0, ay=120.0, ax=0.0, winx=512, winy=512, zoom=0.85

Set_Shading, Light=[-1.0, 1.0, 0.5], /Gouraud, /Reject

Shade_Volume, flow_axial, 110, vertex_list, polygon_list, /Low

Window, 1, Xsize=winx, Ysize=winx, Xpos=16, Ypos=256, Colors=128
Loadct, 3
img1 = Polyshade(vertex_list, polygon_list, Xsize=winx, Ysize=winy, /Data, /T3d)
Tvscl, img1

Window, 2, Xsize=winx, Ysize=winx, Xpos=496, Ypos=324, Colors=128
vol_dim = Max([volx, voly, volz])
flow_axial = Bytscl(flow_axial)
vol2 = Vol_Trans(flow_axial, vol_dim, !P.T)
img2 = Vol_Rend(vol2, winx, winy, depth_q=0.4)
Tvscl, img2

END
