PRO Vol_Demo4

points = Intarr(4, 10)

points(*, 0) = [1,1,2, 86]
points(*, 1) = [1,1,3, 44]
points(*, 2) = [9,9,5, 87]
points(*, 3) = [5,4,7, 99]
points(*, 4) = [4,0,6,  9]
points(*, 5) = [0,9,9, 32]
points(*, 6) = [3,5,5,  2]
points(*, 7) = [6,6,5, 55]
points(*, 8) = [0,0,5, 66]
points(*, 9) = [9,0,0, 44]

ival = Grid_4d(points, 32, 32, 32)
ival = Bytscl(ival)
ival = Vol_Pad(ival, 1)

block = Bytarr(30, 30, 30)
block(*, *, *) = 255
block = Vol_Pad(block, 2)
block(0:16, 0:16, 16:31) = 0

Center_View, xr=[0.0, 33.0], yr=[0.0, 33.0], zr=[0.0, 33.0], $
             ax=(-60.0), az=45.0, zoom=0.6, winx=512, winy=512

Window, 0, Xsize=512, Ysize=512, Xpos=32, Ypos=256, Colors=128
Loadct, 3
Set_Shading, Light=[-1.0, 1.0, 0.2]

ival1 = ival
Shade_Volume, block, 1, vertex_list, polygon_list, Shades=ival, /Low
img1 = Polyshade(vertex_list, polygon_list, /T3d)
img2 = Polyshade(vertex_list, polygon_list, Shades=ival, /T3d)
Tvscl, (Fix(img1) + Fix(img2))

Window, 1, Xsize=512, Ysize=512, Xpos=508, Ypos=64, Colors=128
vertex_list = Poly_Norm(vertex_list)
vertex_list = Poly_Trans(vertex_list, !P.T)
vertex_list = Poly_Dev(vertex_list, 512, 512)
pg_num = Poly_Count(polygon_list)
p_colors = Bytscl(Poly_C_Conv(polygon_list, ival), Top=127)
Poly_Plot, vertex_list, polygon_list, pg_num, 512, 512, p_colors, 0, -1

Window, 2, Xsize=512, Ysize=512, Xpos=308, Ypos=364, Colors=128
ival = Vol_Trans(ival1, 64, !P.T)
img3 = Vol_Rend(ival, 512, 512, depth_q=0.9)
Tvscl, img3

END
