PRO m_lorenz,nc,back,e_color 
nn=10000 & frames=1 & const=800
xwind=const & ywind=const & ximag=const & yimag=const
openr,1,'x.dat' & openr,2,'y.dat'& openr,3,'z.dat'
openw,4,'lorenz.byt'
openr,5,'bar.byt'
q=bytarr(270,40)
readu,5,q
p=assoc(4,bytarr(630,570))
x=fltarr(nn) & y=fltarr(nn) & z=fltarr(nn)
readf,1,x & readf,2,y & readf,3,z
factor=4
x=factor*x & y=factor*y & z=factor*z
idd=200
id1=idd & id2=idd & id3=idd
ival=Intarr(id1,id2,id3)
svol=size(ival)
dn=float(max([svol(1), svol(2), svol(3)])-1)
!x.range=[0.0,(svol(1)-1)] & !y.range=[0.0,(svol(2)-1)] & !z.range=[0.0,(svol(3)-1)]
!P.BACKGROUND=back
Set_Shading, Light=[-1.0, 1.0, 0.2]
azt=-30.0
window,1,xsize=250,ysize=200,xpos=30,ypos=30,colors=nc
l_color,nc
for i=1,frames do begin
Window, 0, Xsize=xwind, Ysize=ywind, Xpos=280, Ypos=80
erase
Center_View, xr=[-id1/2, id1/2], yr=[-id2/2, id2/2], zr=[-id3/2, id3/2], $
             ax=(-60.0), az=azt, zoom=0.5, winx=xwind, winy=ywind
!x.window=[0.0, float(svol(1) - 1) / dn] + !x.s(0)
!y.window=[0.0, float(svol(2) - 1) / dn] + !y.s(0)
!z.window=[0.0, float(svol(3) - 1) / dn] + !z.s(0)
axis,0,0,0,color=e_color,/xaxis,/T3d
axis,0,0,0,color=e_color,/yaxis,/T3d
axis,0,0,0,color=e_color,/zaxis,/T3d
tv,q,250,220
nnn=nn-2
for j=0,nnn do begin
ic=fix(float(nc)*float(j)/float(nn)+1.)
plots,[x(j),x(j+1)],[y(j),y(j+1)],[z(j),z(j+1)],color=ic,/T3d,/data
wset,1
erase
info=string(format='("TIME=",i6)',j)
xyouts,10,10,info,/device,color=e_color,size=3.5
wset,0
endfor
p(0)=tvrd(160,200,630,570)
azt=azt+10.0
endfor
s=tvrd(160,200,630,570)
set_plot,'ps'
device,filename='lorenz.ps',bits_per_pixel=8,/color
tv,s
device,/close
set_plot,'sun'
close,1 & close,2 & close,3 & close,4
end
