pro m_grid_abc
openr,1,'a.dat'
openr,2,'b.dat'
openr,3,'c.dat'
openw,4,'grid.ascii.start'
a=fltarr(10)
b=fltarr(10)
c=intarr(10)
readf,1,a
readf,2,b
readf,3,c
w=intarr(200,200)
;
; create uniform grid from sparse data (a,b,c)
w=grid(a,b,c,nx=200,ny=200,nghbr=10)
;
; write uniform grid to output file
printf,4,format='(64(1x,i3))',w
;
; create tv image plot from uniform grid
window,1,xsize=200,ysize=200
tvscl,w
;
; create shaded surface plot from uniform grid
window,2,xsize=500,ysize=500
shade_surf,w
;
; create contour plot from uniform grid
window,3,xsize=500,ysize=500
contour,w,nlevels=25,back=255,color=0
close,1
close,2
close,3
close,4
return
end
