pro m_ps_abc
openr,1,'a.dat'
openr,2,'b.dat'
openr,3,'c.dat'
a=fltarr(10)
b=fltarr(10)
c=intarr(10)
readf,1,a
readf,2,b
readf,3,c
w=intarr(200,200)
;
;           create uniform grid from sparse data (a,b,c)
;--------------------------------------------------------------------------
w=grid(a,b,c,nx=200,ny=200,nghbr=10)
;--------------------------------------------------------------------------
;
; create tv image plot from uniform grid <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
window,1,xsize=200,ysize=200,xpos=30,ypos=30,colors=256
tvscl,w
;-------------------------------- create postscript file for tv image plot
s1=tvrd(0,0,200,200)
set_plot,'ps'
device,/inches,filename='PS_tv.ps',scale_factor=0.8$
      ,/landscape,bits_per_pixel=8
tvscl,s1
device,/close
set_plot,'x'
;--------------------------------------------------------------------------
;
; create shaded surface plot from uniform grid <<<<<<<<<<<<<<<<<<<<<<<<<<<<
window,2,xsize=500,ysize=500,xpos=30,ypos=30
shade_surf,w
;--------------------------- create postscript file for shaded surface plot
s2=tvrd(0,0,500,500)
set_plot,'ps'
device,/inches,filename='PS_shade_surf.ps'$
      ,scale_factor=0.8,/landscape,bits_per_pixel=8
tvscl,s2
device,/close
set_plot,'x'
;--------------------------------------------------------------------------
;
;  create contour plot from uniform grid i<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
window,3,xsize=500,ysize=500,xpos=30,ypos=30
contour,w,nlevels=25,back=255,color=0
;---------------------------------- create postscript file for contour plot
s3=tvrd(0,0,500,500)
set_plot,'ps'
device,/inches,filename='PS_cont.ps',scale_factor=0.8$
      ,/landscape,bits_per_pixel=2
tvscl,s3
device,/close
set_plot,'x'
;--------------------------------------------------------------------------
close,1
close,2
close,2
return
end
