(** Graphics output for Iris using direct graphics library calls **)

(* This variable can be reset during a session to alter subsequently
   created graphics windows: *)


$DisplayWidth = 1265 
$DisplayHeight = 460 
$DisplayX = 7 
$DisplayY = 10 
DeltaX := 0
DeltaY := 20 
 
$DisplayTitle := StringForm["Mathematica Graphics:  Out[`1`]", $Line]

$Display := $GlDisplay
$GlDisplay := StringJoin["!/usr/local/math/Bin.Iris/Display/glps ",
			"-h '", ToString[N[$DisplayHeight]],
			"' -w '", ToString[N[$DisplayWidth]],
			"' -x '", ToString[$DisplayX += DeltaX],
			"' -y '", ToString[$DisplayY += DeltaY],
			"' -T '", ToString[$DisplayTitle], "'"
		]

$DisplayFunction = Display[$Display, #]&

Print[" -- Stereo GL graphics initialized -- "]
