PRO m_spin750
 
frames=60
const=256
xwind=const
ywind=const
ximag=const
yimag=const
openr,1,'time750.ascii'
openw,2,'spin750.byt'
p=assoc(2,bytarr(ximag,yimag))

ival=Intarr(64,64,44)
svol=size(ival)
dn=float(max([svol(1), svol(2), svol(3)])-1)

!x.range=[0.0, (svol(1) - 1)]
!y.range=[0.0, (svol(2) - 1)]
!z.range=[0.0, (svol(3) - 1)]

bnd_x=fltarr(8)
bnd_y=fltarr(8)
bnd_z=fltarr(8)

bnd_x(0)=0
bnd_x(1)=svol(1)
bnd_x(2)=svol(1)
bnd_x(3)=0
bnd_x(4)=0
bnd_x(5)=svol(1)
bnd_x(6)=svol(1)
bnd_x(7)=0

bnd_y(0)=svol(2)
bnd_y(1)=svol(2)
bnd_y(2)=0
bnd_y(3)=0
bnd_y(4)=svol(2)
bnd_y(5)=svol(2)
bnd_y(6)=0
bnd_y(7)=0

bnd_z(0)=svol(3)
bnd_z(1)=svol(3)
bnd_z(2)=svol(3)
bnd_z(3)=svol(3)
bnd_z(4)=0
bnd_z(5)=0
bnd_z(6)=0
bnd_z(7)=0

face=[indgen(4),0]

readf,1,ival

ival = Bytscl(ival)
ival = Vol_Pad(ival, 1)
ival1 = ival

Set_Shading, Light=[-1.0, 1.0, 0.2]

window, 1, xsize=400, ysize=200, xpos=500, ypos=500,colors=256
loadct,9
Window, 0, Xsize=xwind, Ysize=ywind, Xpos=150, Ypos=150

azt=45.0
for i=0,frames do begin

Center_View, xr=[0.0, 64.0], yr=[0.0, 64.0], zr=[0.0, 44.0], $
             ax=(-60.0), az=azt, zoom=0.8, winx=xwind, winy=ywind
ival = Vol_Trans(ival1, 66, !P.T)
img3 = Vol_Rend(ival, ximag, yimag, depth_q=0.9)
Tvscl, img3

print,i
!x.window=[0.0, float(svol(1) - 1) / dn] + !x.s(0)
!y.window=[0.0, float(svol(2) - 1) / dn] + !y.s(0)
!z.window=[0.0, float(svol(3) - 1) / dn] + !z.s(0)
axis,0,0,0,/xaxis,/T3d
axis,0,0,0,/yaxis,/T3d
axis,0,0,0,/zaxis,/T3d

;plots,bnd_x(face),bnd_y(face),bnd_z(face),/T3d,/data
;plots,bnd_x(face+4),bnd_y(face+4),bnd_z(face+4),/T3d,/data
;for j=0,3 do plots,$
;   [bnd_x(j),bnd_x(j+4)],[bnd_y(j),bnd_y(j+4)],[bnd_z(j),bnd_z(j+4)],$
;   /T3d,/data


p(i)=tvrd(0,0,xwind,ywind)

wset,1
info=string(format='("Frame=",i2)',i)
xyouts,100,100,info,/device,size=1.0
wset,0

azt=azt+6.0

endfor

close,1
close,2

end
