pro m_surf750,val
;val=120
xd=400
yd=400
xwind=xd
ywind=yd
ximag=xd
yimag=yd
openr,1,'time750.ascii'
openw,2,'volsurf750.byt'
q=assoc(2,bytarr(ximag,yimag))
vol=intarr(64,64,44)
svol=size(vol)
dn=float(max([svol(1), svol(2), svol(3)])-1)
!x.range=[0.0, (svol(1) - 1)]
!y.range=[0.0, (svol(2) - 1)]
!z.range=[0.0, (svol(3) - 1)]
readf,1,vol
window,2,xsize=xwind,ysize=ywind,xpos=400,ypos=30,colors=256
loadct,1
Center_View,xr=[0.0, 64.0],yr=[0.0, 64.0],zr=[0.0, 44.0]$
            ,ax=(-60.0), az=45.0,zoom=0.7,winx=xwind,winy=ywind
shade_volume,vol,val,v,p
set_shading,gouraud=1,light=[0,0,-1],reject=0
img=polyshade(v,p,/T3d)
tvscl,img
!x.window=[0.0, float(svol(1) - 1) / dn] + !x.s(0)
!y.window=[0.0, float(svol(2) - 1) / dn] + !y.s(0)
!z.window=[0.0, float(svol(3) - 1) / dn] + !z.s(0)
axis,0,0,0,/xaxis,/T3d
axis,0,0,0,/yaxis,/T3d
axis,0,0,0,/zaxis,/T3d
q(0)=tvrd(0,0,xwind,ywind)
close,1
close,2
end
