pro m_grid_xyz
openr,1,'x.dat'
openr,2,'y.dat'
openr,3,'z.dat'
openw,4,'grid.ascii.start'
x=fltarr(10)
y=fltarr(10)
z=intarr(10)
readf,1,x
readf,2,y
readf,3,z
w=intarr(200,200)
;
; create uniform grid from sparse data (x,y,z)
w=grid(x,y,z,nx=200,ny=200,nghbr=10)
;
; write uniform grid to output file
printf,4,format='(64(1x,i3))',w
;
; create tv image plot from uniform grid
window,1,xsize=200,ysize=200
tvscl,w
;
; create shaded surface plot from uniform grid
window,2,xsize=500,ysize=500
shade_surf,w
;
; create contour plot from uniform grid
window,3,xsize=500,ysize=500
contour,w,nlevels=25,back=255,color=0
close,1
close,2
close,3
close,4
return
end
