PRO m_spin
 
ct=8
frames=30
int_frame=0.0
incr_frame=12.0
const=256
xwind=const
ywind=const
ximag=const
yimag=const
openr,1,'man_head.dat'
openw,2,'spin.byt'
p=assoc(2,bytarr(ximag,yimag))
ival=bytarr(115,75,105)
svol=size(ival)
dn=float(max([svol(1), svol(2), svol(3)])-1)

!x.range=[0.0, (svol(1) - 1)]
!y.range=[0.0, (svol(2) - 1)]
!z.range=[0.0, (svol(3) - 1)]

readu,1,ival
ival = Bytscl(ival)
ival = Vol_Pad(ival, 1)
ival1 = ival

Set_Shading, Light=[-1.0, 1.0, 0.2]

window, 1, xsize=400, ysize=200, xpos=500, ypos=500,colors=256
loadct,8
Window, 0, Xsize=xwind, Ysize=ywind, Xpos=150, Ypos=150

azt=int_frame
for i=0,frames do begin

Center_View, xr=[0.0, 115.0], yr=[0.0, 75.0], zr=[0.0, 105.0], $
             ax=(-60.0), az=azt, zoom=0.9, winx=xwind, winy=ywind
ival = Vol_Trans(ival1, 115, !P.T)
img3 = Vol_Rend(ival, ximag, yimag, depth_q=0.9)
Tvscl, img3
p(i)=tvrd(0,0,xwind,ywind)

wset,1
info=string(format='("Frame=",i2)',i)
xyouts,100,100,info,/device,size=1.0
wset,0

azt=azt+incr_frame

endfor

close,1
close,2
end
